| Home | Libraries | People | FAQ | More

## Struct template is_intrusive_index<boost::interprocess::iset_index< MapConfig >>

boost::interprocess::is_intrusive_index<boost::interprocess::iset_index< MapConfig >>

## Synopsis

    // In header: <boost/interprocess/indexes/iset_index.hpp>

    template<typename MapConfig>
    struct is_intrusive_index<boost::interprocess::iset_index< MapConfig >> {

      enum @3 { value =  true };
    };

## Description

@ Trait class to detect if an index is an intrusive index.